<ion-card class="ion-shadow" style="height: 15rem;">

    <!-- Card Backgorund Image -->
    <ion-thumbnail class="ion-relative ion-w-100 ion-h-100">
        <ion-img [src]="imgURL" [alt]="imgAlt || title" class="ion-round" #img
            [class.ion-opacity-0]="!(img.ionImgDidLoad | async)">
        </ion-img>

        <!-- Skeleton -->
        <ion-skeleton-text *ngIf="!(img.ionImgDidLoad | async)" animated
            class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-round">
        </ion-skeleton-text>
    </ion-thumbnail>

    <!-- Mini Card -->
    <ion-card class="ion-shadow ion-absolute ion-bottom-2 ion-right-0 ion-left-0 ion-m-2">
        <ion-card-content class="ion-p-3">

            <!-- Text, Rating and Icon -->
            <ion-row class="ion-align-items-center">
                <ion-col size="9" class="ion-text-left">
                    <ion-card-title class="ion-text-nowrap">
                        <h2 class="ion-font-bold">{{ title | length:18 }}</h2>
                    </ion-card-title>
                    <app-rating rating="4.3" [showPercent]="false" [starSize]="'14px'" starColor="primary"></app-rating>
                </ion-col>
                <ion-col size="3" class="ion-text-right">
                    <ion-icon name="fast-food" color="medium" class="ion-font-xl"></ion-icon>
                </ion-col>
            </ion-row>

            <!-- Features -->
            <ion-row>
                <ion-col size="4" class="ion-text-center">
                    <ion-label color="medium" class="ion-text-nowrap">
                        <ion-icon name="time-outline" color="tertiary" class="ion-font-lg ion-mb-n1"></ion-icon>
                        <span class="ion-font-sm">&nbsp;{{ time }}</span>
                    </ion-label>
                </ion-col>
                <ion-col size="4" class="ion-text-center">
                    <ion-label color="medium" class="ion-text-nowrap">
                        <ion-icon name="cash-outline" color="success" class="ion-font-lg ion-mb-n1"></ion-icon>
                        <span class="ion-font-sm">&nbsp;{{ payment ? "Online" : "Casa" }}</span>
                    </ion-label>
                </ion-col>
                <ion-col size="4" class="ion-text-center">
                    <ion-label color="medium" class="ion-text-nowrap">
                        <ion-icon name="bicycle-outline" color="warning" class="ion-font-lg ion-mb-n1"></ion-icon>
                        <span class="ion-font-sm">&nbsp;{{ delivery }}</span>
                    </ion-label>
                </ion-col>
            </ion-row>

        </ion-card-content>
    </ion-card>

</ion-card>